<?php

namespace engine\skin;

abstract class Options
{
    public function getOptions(): array {
        $opts = [];
        foreach (get_object_vars($this) as $prop => $value) {
            $snake = strtolower(preg_replace('/([a-z0-9])([A-Z])/', '$1_$2', $prop));
            $opts[$snake] = $value;
        }
        return $opts;
    }
}